SQL-инъекция в SCORM Cloud For WordPress

Дата публикации:
13.12.2011
Дата изменения:
13.12.2011
Всего просмотров:
1665
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:O/RC:C) = Base:6.4/Temporal:4.7
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
SCORM Cloud For WordPress 1.x (plugin for WordPress)
Уязвимые версии: SCORM Cloud For WordPress plugin for WordPress 1.0.6.6, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "active" в сценарии ajax.php (когда параметр "action" равен "setactive"). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: http://wordpress.org/extend/plugins/scormcloud/

Решение: Установите последнюю версию 1.0.7 с сайта производителя.

Ссылки: http://wordpress.org/extend/plugins/scormcloud/changelog/
http://plugins.trac.wordpress.org/changeset/435356/scormcloud

или введите имя

CAPTCHA